Update custom messages
Specifies new values for the customizable messages in a form (specified by form_id).
You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Authentication
A string representation of JWT containing at least two parameters:
ctx.user_id — user’s id
ctx.account_id — user’s default account id
ctx.account_uid — user’s default account uid
The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.
This JWT must be signed by the appropriate authority.
Path parameters
Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.
Request
Key-value message pairs to update.
Server connection error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
List of errors message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Credit card name message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Credit card number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Credit card CVC number message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Invalid email error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Credit card expiry month message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Credit card expiry year message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Fallback alert message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
File upload button message. Maximum 34 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
File upload dragging action message. Maximum 35 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Still processing file upload message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
File too big error message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Incomplete fields error message. Maximum 42 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Legal field deny message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Legal field accept message. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Number maximum value tooltip message. Accepts variable field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Text fields maximum length tooltip message. Accepts variable field:max_length. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Number minimum value tooltip message. Accepts variable field:min. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Number minimum and maximum range value tooltip message. Accepts variables field:min and field:max. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Choose as many as you like message for multiple choice fields. Maximum 45 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Required value error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Required selection error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Representation for the word “No.” You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Not suggestions found for dropdown fields error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Completion percentage message. Accepts variable progress:percent. Maximum 100 characters.
Completion proportion message. Accepts variables progress:step and progress:total. Maximum 100 characters.
Required field error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Review fields error message. Accepts variable form:unanswered_fields. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Server error message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Successful submit message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Legal field terms and conditions message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Long text field tooltip message. Maximum 128 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Invalid URL error message. Maximum 64 characters. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.
Representation for the word “Yes”. You can format messages with bold (*bold*) and italic (_italic_) text. HTML tags are forbidden.